<template>
  <div class="user-topics-add-on">
    <i class="bi bi-folder2-open me-2"></i>
    <router-link :to="route">{{ routeText }}</router-link>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'UserTopicsAddOn',
  props: {
    user: Object,
  },
  setup(props) {
    const route = computed(() => {
      return { name: 'forum-topics', query: { username: props.user.username } }
    })

    const routeText = computed(() => {
      return `${props.user.username}'s Topics`
    })

    return {
      route,
      routeText,
    }
  },
}
</script>
